Name: python-module-pyclutter
Version: 1.0.0
Release: alt2
Summary: PyClutter is a set of Python bindings for libclutter
License: GPL
Group: Development/Python
Url: http://www.clutter-project.org/
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source: %name-%version.tar
Patch: %name-%version-%release.patch

%setup_python_module clutter
%add_python_req_skip cogl

BuildRequires: gtk-doc libclutter-gtk-devel python-module-pycairo-devel python-module-pygtk-devel python-module-pygobject-devel-doc xsltproc

%description
This archive contains the Python modules that allow you to use the
Clutter toolkit in Python programs.

%package devel
Summary: Development files for %name
Group: Development/Python
Requires: %name = %version-%release

%description devel
Development files for %name

%prep
%setup -q
%patch -p1

ln -s build/autotools/acinclude.m4 .

%build
%autoreconf
%configure \
	--disable-docs
%make_build

%install
%make DESTDIR=%buildroot install

find %buildroot%python_sitelibdir -name \*.la -delete

%files
%python_sitelibdir/*

%files devel
%doc README NEWS
%_includedir/pyclutter-1.0
%_pkgconfigdir/*.pc
%_datadir/pyclutter

%changelog
* Tue Mar 09 2010 Valery Inozemtsev <shrek@altlinux.ru> 1.0.0-alt2
- fixed build with latest clutter

* Sun Jan 10 2010 Valery Inozemtsev <shrek@altlinux.ru> 1.0.0-alt1
- 1.0.0

* Wed Sep 16 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.9.2-alt2
- fixed description

* Tue Aug 04 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.9.2-alt1
- 0.9.2

* Sun Dec 28 2008 Vitaly Lipatov <lav@altlinux.ru> 0.8.2-alt1
- new version 0.8.2 (with rpmrb script)

* Sun Nov 30 2008 Vitaly Lipatov <lav@altlinux.ru> 0.8.0-alt1
- new version 0.8.0 (with rpmrb script)

* Tue May 20 2008 Vitaly Lipatov <lav@altlinux.ru> 0.6.2-alt1
- new version 0.6.2 (with rpmrb script)

* Fri Jan 04 2008 Vitaly Lipatov <lav@altlinux.ru> 0.4.2-alt1
- new version 0.4.2 (with rpmrb script)

* Sat Jul 28 2007 Vitaly Lipatov <lav@altlinux.ru> 0.2.0-alt1
- initial build for ALT Linux Sisyphus
